[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'EditBtn' (#lcl)

# TCustomControlFilterEdit.Create

Constructor for the class instance.

## Declaration

Source position: editbtn.pas line 272

`public constructor TCustomControlFilterEdit.Create(`
`AOwner: TComponent`
`); override;`

## Arguments

`AOwner` |  | Owner for the class instance.

## Description

Create is the constructor for the class instance, and calls the inherited constructor. Create sets the default values for properties used to configure the Edit and Button in the class instance as well as its internal flags, including:

CharCase
  Set to ecLowerCase
Button.Enabled
  Set to False
FilterOptions
  Set to an empty set
FIsFirstUpdate, fIsFirstSetFormActivate
  Set to True
TextHint
  Set to rsFilter